Offsets an image

- « Imagick::resizeImage

- Imagick::rotateImage »

- PHP Manual
- Imagick
- Offsets an image

# Imagick::rollImage

(PECL imagick 2, PECL imagick 3)

Imagick::rollImage — Offsets an image

### Description

public Imagick::rollImage(int `$x`, int `$y`): bool

Offsets an image as defined by x and y.

### Parameters

`x`

  The X offset.

`y`

  The Y offset.

### Return Values

Returns `true` on success.

### Examples

Example #1 Imagick::rollImage()

    <?phpfunction rollImage($imagePath, $rollX, $rollY) {    $imagick = new \Imagick(realpath($imagePath));    $imagick->rollimage($rollX, $rollY);    header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>